package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.vo.KuaiShouVideoGetVo;
import cn.com.ctop.kuaishou.modules.report.entity.EtlKuaishouAccountMaterialReportDaily;
import cn.com.ctop.kuaishou.modules.report.entity.KuaiShouReportDailyMaterial;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.util.List;
import java.util.Map;

/**
 * @Description: 素材
 * @Author: jeecg-boot
 * @Date: 2020-09-09
 * @Version: V1.0
 */
public interface IKuaiShouReportDailyMaterialService extends IService<KuaiShouReportDailyMaterial> {

    List<KuaiShouVideoGetVo> getVideoList(Map<String, Object> requestMap);

    void getMaterialReportByAccountIdAndStatDate(Long accountId, String token, String startDate, String endDate, String temporalGranularity, Integer page);

    List<KuaiShouReportDailyMaterial> getSignatureByDate(String date);

    KuaiShouReportDailyMaterial getEtlDataByParams(String signature, String date, Long projectId);

    List<KuaiShouReportDailyMaterial> getSignatureByDateGroupByProjectId(String date);

    List<KuaiShouReportDailyMaterial> getVideoInfoByList(List<KuaiShouReportDailyMaterial> addList, List<Long> photoIdList);

    Result<Object> labelMaterialList(String companyId,String realname, String roleCode, String startTime, String endTime, Integer pageNo, Integer pageSize);

    List<EtlKuaishouAccountMaterialReportDaily> getReportList(Long accountId, String statDate, Long projectId, String projectName);
}
